Workflow Trigger Event
The workflow trigger event resource.
Basehttps://rest.carbon.ms/workflowTriggerEvent
GET
/workflowTriggerEventList workflow trigger events
Retrieve a paginated list of workflow trigger events. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/workflowTriggerEvent
curl --request GET \
--url 'https://rest.carbon.ms/workflowTriggerEvent?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"workflowId": "xyz789",
"workflowVersionId": "xyz789",
"eventId": "xyz789",
"origin": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]GET
/workflowTriggerEventRetrieve a workflow trigger event
Fetch a single workflow trigger event by filtering on `id`.
Query parameters
idstringMatch on the workflow trigger event's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/workflowTriggerEvent
curl --request GET \
--url 'https://rest.carbon.ms/workflowTriggerEvent?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"workflowId": "xyz789",
"workflowVersionId": "xyz789",
"eventId": "xyz789",
"origin": "string",
"createdAt": "2026-01-01T00:00:00Z"
}POST
/workflowTriggerEventCreate a workflow trigger event
Create a new workflow trigger event.
Body parameters
workflowIdstringrequiredworkflowVersionIdstringrequiredeventIdstringrequiredoriginstringrequiredPOSThttps://rest.carbon.ms/workflowTriggerEvent
curl --request POST \
--url https://rest.carbon.ms/workflowTriggerEvent \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"workflowId":"xyz789","workflowVersionId":"xyz789","eventId":"xyz789","origin":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"workflowId": "xyz789",
"workflowVersionId": "xyz789",
"eventId": "xyz789",
"origin": "string",
"createdAt": "2026-01-01T00:00:00Z"
}PATCH
/workflowTriggerEventUpdate a workflow trigger event
Update an existing workflow trigger event, matched on `id`.
Body parameters
workflowIdstringrequiredworkflowVersionIdstringrequiredeventIdstringrequiredoriginstringrequiredPATCHhttps://rest.carbon.ms/workflowTriggerEvent
curl --request PATCH \
--url 'https://rest.carbon.ms/workflowTriggerEvent?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"workflowId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"workflowId": "xyz789",
"workflowVersionId": "xyz789",
"eventId": "xyz789",
"origin": "string",
"createdAt": "2026-01-01T00:00:00Z"
}DELETE
/workflowTriggerEventDelete a workflow trigger event
Delete a workflow trigger event, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the workflow trigger event to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/workflowTriggerEvent
curl --request DELETE \
--url 'https://rest.carbon.ms/workflowTriggerEvent?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content